Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.html.simpleparser
Class FactoryProperties

    java.lang.Object
      com.lowagie.text.html.simpleparser.FactoryProperties

    public class FactoryProperties

extends Object

Author:
  psoares

Field Summary
`static HashMap` | `followTags`
`private FontFactoryImp` | `fontImp`

Constructor Summary
`FactoryProperties()` Creates a new instance of FactoryProperties

Method Summary
`Chunk` | `createChunk(String text, ChainedProperties props)`
`static ListItem` | `createListItem(ChainedProperties props)`
`static Paragraph` | `createParagraph(ChainedProperties props)`
`static Paragraph` | `createParagraph(HashMap props)`
`static void` | `createParagraph(Paragraph p, ChainedProperties props)`
`Font` | `getFont(ChainedProperties props)`
`FontFactoryImp` | `getFontImp()`
`static void` | `insertStyle(HashMap h)`
`void` | `setFontImp(FontFactoryImp fontImp)`
`private static void` | `setParagraphLeading(Paragraph p, String leading)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fontImp

    private FontFactoryImp fontImp

### followTags

    public static HashMap followTags

Constructor Detail

### FactoryProperties

    public FactoryProperties()

  Creates a new instance of FactoryProperties

Method Detail

### createChunk

    public Chunk createChunk(String text,
                             ChainedProperties props)

### setParagraphLeading

    private static void setParagraphLeading(Paragraph p,
                                            String leading)

### createParagraph

    public static Paragraph createParagraph(HashMap props)

### createParagraph

    public static void createParagraph(Paragraph p,
                                       ChainedProperties props)

### createParagraph

    public static Paragraph createParagraph(ChainedProperties props)

### createListItem

    public static ListItem createListItem(ChainedProperties props)

### getFont

    public Font getFont(ChainedProperties props)

### insertStyle

    public static void insertStyle(HashMap h)

### getFontImp

    public FontFactoryImp getFontImp()

### setFontImp

    public void setFontImp(FontFactoryImp fontImp)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD